package com.mx.cneeds.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mx.cneeds.server.entity.SysUserFuncEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 功能与角色映射表
 * 
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-16 11:22:10
 */
@Mapper
public interface SysUserFuncDao extends BaseMapper<SysUserFuncEntity> {
	/**
     * 根据角色ID数组，批量删除
     */
    int deleteBatch(Long[] roleIds);

    /**
     * 根据角色ID，获取菜单ID列表
     */
    List<Long> queryFuncIdList(Long roleId);

}
