package com.mx.cneeds.server.device.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.DeviceChannelEntity;
import com.mx.cneeds.server.entity.ProductSeriesEntity;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-18 14:44:30
 */
public interface DeviceChannelService extends IService<DeviceChannelEntity> {


    PageUtils queryPage(Map<String, Object> params);

    DeviceChannelEntity queryDeviceChannel(String channelNum);

    List<DeviceChannelEntity> queryDeviceChannelByids(List<Long> deviceIds);
}

