package com.mx.cneeds.common.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class UploadDeviceChannelExcelVo implements Serializable {

    /**
     * 系列id
     */
    private Long seriesId;

    private Long deptId;

    private List<UploadDeviceChannelExcelInfoVo> infos;

    /**
     * 渠道号提示信息
     */
    private String channelNumsMessage;

    /**
     * 0:白名单，1:黑名单
     */
    private Integer channelRules;

    /**
     * 渠道号Ids
     */
    private List<Long> channelNums;

    @Data
    public static class UploadDeviceChannelExcelInfoVo implements Serializable {
        private String imei;

        private String iccid;
    }
}