package com.mx.cneeds.server.device.service.impl;

import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.common.pager.Query;
import com.mx.cneeds.server.dao.DeviceLogsettingDao;
import com.mx.cneeds.server.device.service.DeviceLogsettingService;
import com.mx.cneeds.server.entity.DeviceLogsettingEntity;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


@Service("deviceLogsettingService")
public class DeviceLogsettingServiceImpl extends ServiceImpl<DeviceLogsettingDao, DeviceLogsettingEntity> implements DeviceLogsettingService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DeviceLogsettingEntity> page = this.page(
                new Query<DeviceLogsettingEntity>().getPage(params),
                new QueryWrapper<DeviceLogsettingEntity>()
        );

        return new PageUtils(page);
    }

}
